Create a SAML Federation credential
POST/nevisidm/api/core/v1/:clientExtId/users/:userExtId/saml-credentials
Since: 8.2511.0
Required permission(s): AccessControl.CredentialCreate,AccessControl.CredentialChangeState,AccessControl.CredentialView
Creates a new SAML Federation credential for the user identified by the given external IDs.
The request must include the subject NameID and its format (identifying the authenticated user in the SAML assertion) and the issuer NameID and its format (identifying the Identity Provider). All four fields are required.
If policyExtId is provided, the referenced policy must exist and be of type SamlFederationPolicy. If omitted, the default SAML Federation policy for the client is applied. The extId field is optional, if not provided, an external ID is generated automatically. The created credential's URL is returned in the Location response header.
Request
Responses
- 201
- 403
- 404
- 422
SAML Federation credential created successfully
Response Headers
URL of the created resource
Insufficient permissions
Referenced resource not found
Invalid request parameters